Summary:	A news reader that displays postings in threaded format
Name:		trn 
Version:	3.6
Release:	17mdk
License:	Distributable
Group:		Networking/News

Source0:	ftp://ftp.uu.net:/networking/news/readers/trn/trn-3.6.tar.bz2
Source1:	trn.wmconfig
Patch0:		trn-3.6-linux.patch.bz2
Patch1:		trn-3.6-sigtstp.patch.bz2
Patch2:		trn-3.6-make.patch.bz2
Patch3:		trn-3.6-bool.patch.bz2
Patch4:		trn-3.6-jbj.patch.bz2
Patch5:		trn-3.6-rh.patch.bz2 

Buildroot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	byacc, libtermcap-devel

%description
Trn is a basic news reader that supports threading. This version is
configured to read news from an NNTP news server.

Install trn if you need a basic news reader that shows you newsgroup
postings in threaded format.

%prep

%setup -q 
%patch0 -p1 -b .linux
%patch1 -p1 -b .sigstp
%patch2 -p1 -b .make
%patch3 -p1 -b .bool
%patch4 -p1 -b .jbj
%patch5 -p1 -b .rh 

%build
%make CFLAGS="-DI_TIME %optflags"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/trn
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/

chmod 755 filexp
chmod 755 makedir

make install	rnbin="$RPM_BUILD_ROOT%{_bindir}" \
		rnlib="$RPM_BUILD_ROOT%{_libdir}/trn" \
		mansrc="$RPM_BUILD_ROOT%{_mandir}/man1" \
		installfilexp="$RPM_BUILD_ROOT%{_libdir}/trn/filexp"

chmod 755 $RPM_BUILD_ROOT%{_bindir}/*
chmod 755 $RPM_BUILD_ROOT%{_libdir}/*

%clean 
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README INSTALL MANIFEST HINTS.TRN HACKERSGUIDE NEW
%{_bindir}/*
%{_libdir}/trn/*
%{_mandir}/man1/*

%changelog
* Fri Jan 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.6-17mdk
- rebuild

* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.6-16mdk
- Sanity build for 8.1.

* Mon Mar 12 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 3.6-15mdk
- Define I_TIME in make cflags, to fix build on glibc 2.2.2.

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 3.6-14mdk
- BuildRequires: byacc

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.6-13mdk
- automatically added BuildRequires

* Sun Jul 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.6-12mdk
- macroszifications
- rebuild for the BM

* Sun Jun 04 2000 David BAUDENS <baudens@mandrakesoft.com> 3.6-11mdk
- Use %%{_tmppath} for BuildRoot
- Really use RPM_OPT_FLAGS
- Fix build (how can it be build before?)
- Use right macro for SPM build
- Really use BuildRoot
- Use %%{_prefix}

* Mon Mar 27 2000 Vincent Saugey <vince@mandrakesoft.com> 3.6-10mdk
- remove compress man page 
- remove strip on exec file

* Fri Mar 24 2000 Vincent Saugey <vince@mandrakesoft.com> 3.6-9mdk 
- corrected group

* Mon Nov 24 1999 Camille Begnis <camille@mandrakesoft.com>
- Picked two more patches from RedHat
- added SMP compilation

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 16)

* Wed Feb 10 1999 Michael Maher <mike@redhat.com>
- patched BUG #587
- changed group

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- added buildroot
- updated spec file

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Dec 30 1997 Erik Troan <ewt@redhat.com>
- SIGTSTP handler was flaky, which made ^Z fail w/ built against glibc
- added a wmconfig entry

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc 

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- some of the files in /usr/bin wrre 647, which makes no sense.

